std::pmr::memory_resource(3)

NAME
std::pmr::memory_resource - std::pmr::memory_resource

Synopsis
   Defined in header <memory_resource>
   class memory_resource; (since C++17)
   The class std::pmr::memory_resource is an abstract interface to an unbounded set of
   classes encapsulating memory resources.

Member functions
   constructor constructs a new memory_resource
   (implicitly declared) (public member function)
   destructor destructs an memory_resource
   [virtual] (virtual public member function)
   operator= Implicitly declared copy assignment operator
   (implicitly declared) (public member function)

Public member functions
   allocate allocates memory
                        (public member function)
   deallocate deallocates memory
                        (public member function)
   is_equal compare for equality with another memory_resource
                        (public member function)
         Private member functions
   do_allocate allocates memory
   [virtual] (virtual private member function)
   do_deallocate deallocates memory
   [virtual] (virtual private member function)
   do_is_equal compare for equality with another memory_resource
   [virtual] (virtual private member function)
  Non-member-functions
   operator== compare two memory_resources
   operator!= (function)
   (removed in C++20)

Notes
   Feature-test macro: __cpp_lib_memory_resource